﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;
using VideoShow.Data.DataServices;

public partial class AdministerUsers : System.Web.UI.Page
{
    string UploadRole = UserServices.UserRoles.Uploader.ToString();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            MembershipUserCollection users = Membership.GetAllUsers();
            foreach (MembershipUser user in users)
            {
                ListItem item = new ListItem(user.UserName);
                item.Selected = Roles.IsUserInRole(user.UserName, UploadRole);
                UploadUsers.Items.Add(item);
            }
        }
    }

    protected void Update_Click(object sender, EventArgs e)
    {
        string[] usersInRole = Roles.GetUsersInRole(UploadRole);

        foreach (ListItem item in UploadUsers.Items)
        {
            bool userInRole = usersInRole.Contains(item.Value);
            if(item.Selected != userInRole)
            {
                UpdateUserStatus(item.Value, UploadRole, item.Selected);
            }
        }
    }

    private void UpdateUserStatus(string Username, string Role, bool InRole)
    {
        if (InRole)
        {
            Roles.AddUserToRole(Username, Role);
        }
        else
        {
            Roles.RemoveUserFromRole(Username, Role);
        }
    }
}